Bug 1202364 - Subversion crashes after latest update
Summary: Subversion crashes after latest update
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cyrus-sasl
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Jelen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-16 13:28 UTC by Tom Atkinson
Modified: 2015-03-21 04:58 UTC (History)
4 users (show)

Fixed In Version: cyrus-sasl-2.1.26-22.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-21 04:58:49 UTC
Type: Bug


Attachments (Terms of Use)

Description Tom Atkinson 2015-03-16 13:28:27 UTC
Description of problem:

After update to cyrus-sasl-2.1.26-21 subversion crashes with "double free or corruption" error during authentication.

Version-Release number of selected component (if applicable):

cyrus-sasl-2.1.26-21
subversion-1.8.11-1

Steps to Reproduce:
1. svn up

Actual results:

Crash

Expected results:

No crash

Additional info:

The backtrace includes authentication information so I am not going to post it unless requested.

Comment 1 Jakub Jelen 2015-03-16 14:23:31 UTC
Thanks for reporting. I put together some reproducer and I will try to prioritize the solution.

Seems to be related to this update (not yet stable):
https://admin.fedoraproject.org/updates/FEDORA-2015-3857/cyrus-sasl-2.1.26-21.fc22

and rhbz#1191183

so feel free to leave -1 karma not to get it into stable since there is a problem.

Comment 2 Jakub Jelen 2015-03-16 16:28:53 UTC
Reverting this problematic patch. Without it I'm able to accept password without crash. Tested but I would appreciate to come back and leave a note if it works as expected. Thanks for reporting.

Comment 3 Fedora Update System 2015-03-16 16:40:49 UTC
cyrus-sasl-2.1.26-22.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/FEDORA-2015-3857/cyrus-sasl-2.1.26-22.fc22

Comment 4 Tom Atkinson 2015-03-16 18:26:23 UTC
Fix confirmed, thanks.

Comment 5 Fedora Update System 2015-03-18 10:23:35 UTC
Package cyrus-sasl-2.1.26-22.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cyrus-sasl-2.1.26-22.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-3857/cyrus-sasl-2.1.26-22.fc22
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-03-21 04:58:49 UTC
cyrus-sasl-2.1.26-22.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.